[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# EndOfAWeek

Return the last moment of day of the week, given a year and a week in the year.

## Declaration

Source position: dateutil.inc line 170

`function EndOfAWeek(`
`const AYear: Word;`
`const AWeekOfYear: Word;`
`const ADayOfWeek: Word`
`):TDateTime; function EndOfAWeek(`
`const AYear: Word;`
`const AWeekOfYear: Word`
`):TDateTime;`

## Arguments

`ADayOfWeek` |  | Day of the week

## Description

EndOfAWeek returns a TDateTime value with the date of the last moment (23:59:59:999) on the indicated day of the week indicated by the AYear, AWeek, ADayOfWeek values.

The default value for ADayOfWeek is 7.

## See also

StartOfTheWeek |  | Return the first day of the week, given a date.
EndOfTheWeek |  | Calculate a TDateTime value which represents the end of a week, given a date in that week.
EndOfAWeek |  | Return the last moment of day of the week, given a year and a week in the year.
StartOfAMonth |  | Return first date of month, given a year/month pair.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month

## Example

    Program Example35;

    { This program demonstrates the EndOfAWeek function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"Last day of this week : "dd mmmm yyyy hh:nn:ss';
      Fmt2 = '"Last-1 day of this week : "dd mmmm yyyy hh:nn:ss';

    Var
      Y,W : Word;

    Begin
      Y:=YearOf(Today);
      W:=WeekOf(Today);
      Writeln(FormatDateTime(Fmt,EndOfAWeek(Y,W)));
      Writeln(FormatDateTime(Fmt2,EndOfAWeek(Y,W,6)));
    End.